<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html  xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-type" content="text/html; charset=ISO-8859-1" />
<link rel="stylesheet" href="../robodoc.css" type="text/css" />
<title>./src/group_level/etsf_io_split_free.f90</title>
<!-- Source: ./src/group_level/etsf_io_split_free.f90 -->
<!-- Generated with ROBODoc Version 4.99.38 (May  3 2009) -->
</head>
<body>
<div id="logo">
<a name="robo_top_of_doc">ETSF_IO library - documentation pages</a>
</div> <!-- logo -->
<div id="navigation">
<a class="menuitem" href="../toc_index.html#top">Table of Contents</a>
<a class="menuitem" href="../robo_sourcefiles.html#top">Sourcefiles</a>
<a class="menuitem" href="../masterindex.html#top">Index</a>
<a class="menuitem" href="../robo_definitions.html#top">Definitions</a>
<a class="menuitem" href="../robo_tuto_cat.html#top">Tutorials</a>
<a class="menuitem" href="../robo_functions.html#top">Functions</a>
<a class="menuitem" href="../robo_sub_cat.html#top">Sub categories</a>
<a class="menuitem" href="../robo_modules.html#top">Modules</a>
<a class="menuitem" href="../robo_methods.html#top">Methods</a>
<a class="menuitem" href="../robo_strutures.html#top">Structures</a>
</div> <!-- navigation -->
<div id="content">
<h3>TABLE OF CONTENTS</h3>
<ul>
<li><a href="#robo111">etsf_io_split_free</a></li>
</ul>
<hr />
<a name="etsf5fsplit2fetsf5fio5fsplit5ffree"></a>
<a name="robo111"></a><h2>etsf_io_split_free</h2>

<p>[ <a href="#robo_top_of_doc">Top</a> ] [ <a href="./etsf_io_f90.html#robo124">etsf_split</a> ] [ <a href="../robo_methods.html#robo_top_of_doc">Methods</a> ]</p>
<p class="item_name">NAME</p>
<p>  <strong>etsf_io_split_free</strong>
</p>
<p class="item_name">FUNCTION</p>
<p>    Deallocate a split defintions, previously allocated with
    <a href="./etsf_io_split_allocate_f90.html#robo108">etsf_io_split_allocate</a>().
</p>
<p class="item_name">SIDE EFFECTS</p>
<ul><li> split &lt;type(<a href="./etsf_io_f90.html#robo124">etsf_split</a>)&gt; = 
     free all associated array in the split definition.
</li>
</ul>
<p></p>
<p class="item_name">NOTES</p>
<p>  This file has been automatically generated by the autogen_subroutines.py
  script. Any change you would bring to it will systematically be
  overwritten.
</p>
<p class="item_name">SOURCE</p>
<pre class="source"><span class="keyword">subroutine</span> <strong>etsf_io_split_free</strong><span class="sign">(</span>split<span class="sign">)</span>

  <span class="comment">!Arguments ------------------------------------</span>
  <span class="keyword">type</span><span class="sign">(</span><a href="./etsf_io_f90.html#robo124">etsf_split</a><span class="sign">)</span><span class="sign">,</span> <span class="keyword">intent</span><span class="sign">(</span><span class="keyword">inout</span><span class="sign">)</span> <span class="sign">:</span><span class="sign">:</span> split

  <span class="comment">!Local variables-------------------------------</span>
  <span class="keyword">character</span><span class="sign">(</span><span class="keyword">len</span> <span class="sign">=</span> <span class="sign">*</span><span class="sign">)</span><span class="sign">,</span> <span class="keyword">parameter</span> <span class="sign">:</span><span class="sign">:</span> my_name <span class="sign">=</span> <span class="squote">'<strong>etsf_io_split_free</strong>'</span>


  <span class="comment">! *************************************************************************</span>

<span class="comment">!DEBUG</span>
<span class="comment">!write (*,*) '<strong>etsf_io_split_free</strong> : enter'</span>
<span class="comment">!ENDDEBUG</span>

  <span class="keyword">if</span> <span class="sign">(</span><span class="keyword">associated</span><span class="sign">(</span>split<span class="sign">%</span>my_kpoints<span class="sign">)</span><span class="sign">)</span> <span class="keyword">then</span>
    <span class="keyword">deallocate</span><span class="sign">(</span>split<span class="sign">%</span>my_kpoints<span class="sign">)</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="keyword">associated</span><span class="sign">(</span>split<span class="sign">%</span>my_grid_points_vector3<span class="sign">)</span><span class="sign">)</span> <span class="keyword">then</span>
    <span class="keyword">deallocate</span><span class="sign">(</span>split<span class="sign">%</span>my_grid_points_vector3<span class="sign">)</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="keyword">associated</span><span class="sign">(</span>split<span class="sign">%</span>my_spins<span class="sign">)</span><span class="sign">)</span> <span class="keyword">then</span>
    <span class="keyword">deallocate</span><span class="sign">(</span>split<span class="sign">%</span>my_spins<span class="sign">)</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="keyword">associated</span><span class="sign">(</span>split<span class="sign">%</span>my_grid_points_vector1<span class="sign">)</span><span class="sign">)</span> <span class="keyword">then</span>
    <span class="keyword">deallocate</span><span class="sign">(</span>split<span class="sign">%</span>my_grid_points_vector1<span class="sign">)</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="keyword">associated</span><span class="sign">(</span>split<span class="sign">%</span>my_grid_points_vector2<span class="sign">)</span><span class="sign">)</span> <span class="keyword">then</span>
    <span class="keyword">deallocate</span><span class="sign">(</span>split<span class="sign">%</span>my_grid_points_vector2<span class="sign">)</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="keyword">associated</span><span class="sign">(</span>split<span class="sign">%</span>my_coefficients<span class="sign">)</span><span class="sign">)</span> <span class="keyword">then</span>
    <span class="keyword">deallocate</span><span class="sign">(</span>split<span class="sign">%</span>my_coefficients<span class="sign">)</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="keyword">associated</span><span class="sign">(</span>split<span class="sign">%</span>my_components<span class="sign">)</span><span class="sign">)</span> <span class="keyword">then</span>
    <span class="keyword">deallocate</span><span class="sign">(</span>split<span class="sign">%</span>my_components<span class="sign">)</span>
  <span class="keyword">end</span> <span class="keyword">if</span>
  <span class="keyword">if</span> <span class="sign">(</span><span class="keyword">associated</span><span class="sign">(</span>split<span class="sign">%</span>my_states<span class="sign">)</span><span class="sign">)</span> <span class="keyword">then</span>
    <span class="keyword">deallocate</span><span class="sign">(</span>split<span class="sign">%</span>my_states<span class="sign">)</span>
  <span class="keyword">end</span> <span class="keyword">if</span>


<span class="comment">!DEBUG</span>
<span class="comment">!write (*,*) '<strong>etsf_io_split_free</strong> : exit'</span>
<span class="comment">!ENDDEBUG</span>

<span class="keyword">end</span> <span class="keyword">subroutine</span> <strong>etsf_io_split_free</strong>
</pre>

</div> <!-- content -->
<div id="footer">
<p>Generated from ./src/group_level/etsf_io_split_free.f90 with <a href="http://www.xs4all.nl/~rfsber/Robo/robodoc.html">ROBODoc</a> V4.99.38 on Fri Nov 25 2011 14:02:55
</p>
</div> <!-- footer -->
</body>
</html>
